---
inputType: "CA10__CaAwsRedshiftCluster__c"
importExtracts:
  - file: "/types/CA10__CaAwsRedshiftCluster__c/object.extracts.yaml"
testData:
  - file: "test-data.json"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The Cluster is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "COMPLIANT"
    currentStateMessage: "The Cluster encrypted at rest."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__encryption__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "The Cluster is not encrypted at rest."
  remediationMessage: "Enable encryption to the cluster"